Pages: 1
  Print  
Author Topic: Problems on old linux again  (Read 1108 times)
Offline (Unknown gender) daz
Posted on: March 04, 2014, 02:30:24 PM
Contributor
Joined: Jul 2010
Posts: 167

View Profile
I try to run LGM and it crashes

(precise)matt@localhost:~/Documents/enigma-dev-master$ java -jar lateralgm.jar
Java Version: 10600 (1.6.0_30)
Exception in thread "main" java.lang.UnsatisfiedLinkError: java.awt.SplashScreen._getInstance()J
   at java.awt.SplashScreen._getInstance(Native Method)
   at java.awt.SplashScreen.getSplashScreen(SplashScreen.java:113)
   at org.lateralgm.main.LGM$SplashProgress.<init>(LGM.java:906)
   at org.lateralgm.main.LGM.main(LGM.java:744)
(precise)matt@localhost:~/Documents/enigma-dev-master$

I think it doesn't like my old java (and maybe the fact that it's openjdk). Also I tried updating lateralgm.jar and enigma.jar with same problem. Also I tried to build lateralgm from source, but eclipse was complaining about a million errors.

I ran make and it compiled libcompileegmf just fine.
Logged
Offline (Male) MahFreenAmeh
Reply #1 Posted on: March 05, 2014, 11:36:25 AM

sysadmin
"Web Team"
Location: Austin, TX
Joined: Apr 2008
Posts: 13
AOL Instant Messenger - sirmxe
View Profile WWW Email
in b4 update java
Logged
sys(tem)admin(istrator)
[java,c++,c,javascript,html,css,php,perl,ruby,python,sql]
if you've got ideas, let me hear them.
Offline (Male) Josh @ Dreamland
Reply #2 Posted on: March 10, 2014, 07:36:28 PM

Prince of all Goldfish
Developer
Location: Pittsburgh, PA, USA
Joined: Feb 2008
Posts: 2949

View Profile Email
Yeah, I think Robert decided that 1.6 was old hat and everyone should have 1.7 by now.
Logged
"That is the single most cryptic piece of code I have ever seen." -Master PobbleWobble
"I disapprove of what you say, but I will defend to the death your right to say it." -Evelyn Beatrice Hall, Friends of Voltaire
Offline (Male) Goombert
Reply #3 Posted on: March 13, 2014, 10:59:00 PM

Developer
Location: Cappuccino, CA
Joined: Jan 2013
Posts: 3107

View Profile
Yeah no, 1.6 should work the jar file is built in 1.6, I deprecated 1.5 for LGM.
Logged
I think it was Leonardo da Vinci who once said something along the lines of "If you build the robots, they will make games." or something to that effect.

Pages: 1
  Print